package com.pdaaphm.system.service;

import java.util.List;
import com.pdaaphm.system.domain.Data;

/**
 * 数据管理Service接口
 * 
 * @author Allen
 * @date 2024-08-19
 */
public interface IDataService 
{
    /**
     * 查询数据管理
     * 
     * @param id 数据管理主键
     * @return 数据管理
     */
    public Data selectDataById(Long id);

    /**
     * 查询数据管理列表
     * 
     * @param data 数据管理
     * @return 数据管理集合
     */
    public List<Data> selectDataList(Data data);

    /**
     * 新增数据管理
     * 
     * @param data 数据管理
     * @return 结果
     */
    public int insertData(Data data);

    /**
     * 修改数据管理
     * 
     * @param data 数据管理
     * @return 结果
     */
    public int updateData(Data data);

    /**
     * 批量删除数据管理
     * 
     * @param ids 需要删除的数据管理主键集合
     * @return 结果
     */
    public int deleteDataByIds(Long[] ids);

    /**
     * 删除数据管理信息
     * 
     * @param id 数据管理主键
     * @return 结果
     */
    public int deleteDataById(Long id);

    List<Data> getDataByType(String type);

    List<Data> selectPreprocessDataList(Data data);
}
